Subject: bug#73671: 30.0.60; Make window-tool-bar-mode not show modifier-bar-mode

From: Stefan Kangas <[email-masked]>
Date: Tue, 8 Oct 2024 16:41:54 -0700

Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Anush V <[email-masked]>
>>> Date: Sun, 06 Oct 2024 16:06:03 -0400
>>>
>>> I just discovered the 'global-window-tool-bar-mode'. This allows us to
>>> have a frame-wide 'tool-bar-mode' and buffer-specific tool bars.
>>>
>>> This is nice, except when combined with 'modifier-bar-mode', in that scenario,
>>> the modifier bar is shown on all windows along with frame-wide toolbar.  Is
>>> there a way to make the modifier-bar appear only in the frame-wide toolbar?
>>
>> The doc string says modifier-bar-mode is a global minor mode, so I
>> guess not.  Po Lu, any suggestions?
>
> I'm reasonably certain that this is simply a bug, since I never intended
> that the modifier bar should be displayed in tool bars created by
> global-window-tool-bar-mode.

BTW, when using global-window-tool-bar-mode, the modifier buttons
displayed in the tab bar do not seem to work.